| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::CaptchaAnswers Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- CaptchaAnswers ()
- CaptchaAnswers (const QMap< uint, QString > &a)
- CaptchaAnswers & operator= (const QMap< uint, QString > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, QString>, but needed to have a discrete type in the Qt type system.

A mapping of captcha IDs to answer strings.

## Constructor & Destructor Documentation

Tp::CaptchaAnswers::CaptchaAnswers | ( |  | ) | `[inline]`

Tp::CaptchaAnswers::CaptchaAnswers | ( | const QMap< uint, QString > & | a | ) | `[inline]`

## Member Function Documentation

CaptchaAnswers& Tp::CaptchaAnswers::operator= | ( | const QMap< uint, QString > & | a | ) | `[inline]`